package digital.laboratory.platform.inspection.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.inspection.entity.TestTemplate;
import digital.laboratory.platform.inspection.vo.TestTemplateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TestTemplateMapper extends BaseMapper<TestTemplate> {

    TestTemplateVo getTestTemplateMapById(@Param(value = "id")String id);

    IPage<TestTemplateVo> getTestTemplateMapPage(Page page,@Param(Constants.WRAPPER) LambdaQueryWrapper queryWrapper);
    List<TestTemplateVo> getTestTemplateMapList(@Param(Constants.WRAPPER) LambdaQueryWrapper queryWrapper);


}
