package digital.laboratory.platform.inspection.service;

/**
 * @author ChenJiangBao
 * @version 1.0
 * @description: 推送数据到labscare平台接口
 * @date 2025/3/31 9:28
 */
public interface PushDataToLabsCareService {

    /**
     * 推送普通检材定性记录非红外报告数据
     * @param testId 实验id
     */
    void pushNonInfraredGeneralQualitativeRecordData(String testId);

    /**
     * 推送生物检材定性记录
     * @param testId 实验id
     */
    void pushBiologyQualitativeRecordData(String testId);

}
