package digital.laboratory.platform.inspection.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 接收通过业务id查询委托表、筛查表、任务表中得到的信息
 */
@Data
@ApiModel(value = "ESTBusinessInfoVO", description = "接收通过业务id查询委托表、筛查表、任务表中得到的信息")
public class ESTBusinessInfoVO {

    @ApiModelProperty("业务id")
    private String id;

    @ApiModelProperty("检材类别（缴获物和生物样本）, invivo 生物样本 | inVitro 缴获物")
    private String materialType;

    @ApiModelProperty("业务类型")
    private String businessType;

}
