package digital.laboratory.platform.inspection.listener;

import digital.laboratory.platform.inspection.event.FinishTestExecutionEvent;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/***
 * 完成实验事件监听器 在完成实验后需要执行的方法
 */
@Slf4j
@Component
public class FinishTestExecutionEventListener implements ApplicationListener<FinishTestExecutionEvent> {
    @Override
    @Async
    public void onApplicationEvent(FinishTestExecutionEvent event) {

        log.info("完成实验监听器执行中........");

    }
}
