package digital.laboratory.platform.inspection.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 实验结果查询分页查询
 */
@Data
@ApiModel(value = "QueryTestResultPageDTO", description = "实验结果查询分页查询的参数")
public class QueryTestResultPageQuery extends BaseQuery {

    @ApiModelProperty("类型，10000 委托、20000 任务、 30000 筛查")
    @NotNull(message = "参数不全， 请检查参数是否符合！")
    private Integer type;

    @ApiModelProperty("录入人-查询")
    private String createBy;
}
