package digital.laboratory.platform.inspection.utils.datafile.hair;

import lombok.Data;

import java.util.List;

/**
 * @author xy
 * @version 1.0
 * @title HairSewageCompoundData  毛发化合物数据，这个相当于是每个检材的某一种化合物的数据情况
 * 比如：MDMB-4en-PINACA  这个化合物，每种检材检出的情况
 * @description
 * @create 2024/1/29 14:18
 */
@Data
public class HairSewageCompoundData {
    private List<String> fieldList;
    private String compoundName;
    private Integer indexNo;//序号
    private String sampleName;// 样本名称
    private  String idName;//
    private Double  rtTime;//保留时间
    private String quanTrace;//
    private Double area;//峰面积
    private String trace1;
    private Double area1;
    private Double ratioActual;//实际丰度比
    private Double ratioPred;//预计丰度比
    private String ratioFlag;
    private String primaryFlags;
    private String concentration;//溶液浓度 ng/mL

    //离子丰度比偏差范围

}
