package digital.laboratory.platform.inspection.utils.sewagereport;

import lombok.Getter;
import lombok.Setter;
import org.apache.poi.xddf.usermodel.XDDFColor;

/**
 * Y周坐标值
 *
 * @author liuxn
 * @date 2022/10/27
 */
@Setter
@Getter
public class AxisYVal {

    /**
     * Y轴数据、与X轴数据数量保持一致
     */
    private Number[] val;
    /**
     * Y轴数据 图例
     */
    private String title;
    /**
     * Y 周颜色
     */
    private XDDFColor color;
    // todo 其他属性配置
}