package digital.laboratory.platform.inspection.utils.sewagereport;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 表格数据
 *
 * @author liuxn
 * @date 2022/10/27
 */
@Setter
@Getter
public class TableForm {
    //表头数据
    private List<CellData> headerList;

    //表头数据
    private List<CellData> header2List;
    /**
     * 表格数据
     */
    private List<List<CellData>> rowDataList;

    //todo 表格其他属性

    @Setter
    @Getter
    public static class CellData {
        //单元格值
        private String val;
        // todo 其他单元格属性

        public CellData(String val) {
            this.val = val;
        }
    }
}