package digital.laboratory.platform.inspection.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProcedureVo {
    @ApiModelProperty(value = "实验方法")
    private boolean testRecordMethod;

    @ApiModelProperty(value = "实验试剂耗材")
    private boolean testRecordReagentConsumables;

    @ApiModelProperty(value = "实验标准物质")
    private boolean testRecordStandardSubstance;

    @ApiModelProperty(value = "实验仪器设备")
    private boolean testRecordInstrument;

    @ApiModelProperty(value = "实验检材")
    private boolean sampleInfo;

    @ApiModelProperty(value = "实验前处理")
    private boolean pretreatment;
    @ApiModelProperty(value = "实验仪器条件")
    private boolean setInstrumentConditions;

    @ApiModelProperty(value = "上机")
    private boolean embarkation;
    @ApiModelProperty(value = "结果分析")
    private boolean resultAnalysis;


}
